Bug Hunting Session
Bug 109364 - Assert in ustring:cxx - static_cast<unsigned char>(*pCharStr) < 0x80
Summary: Assert in ustring:cxx - static_cast<unsigned char>(*pCharStr) < 0x80
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.0.0.0.alpha0+
Hardware: All Windows (All)
: medium normal
Assignee: Julien Nabet
URL:
Whiteboard: target:6.0.0
Keywords: bibisectRequest, haveBacktrace, regression
Depends on:
Blocks: Assert
  Show dependency treegraph
 
Reported: 2017-07-25 20:39 UTC by Xisco Faulí
Modified: 2017-08-30 19:16 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2017-07-25 20:39:44 UTC
Steps to reproduce:
1. Open attachment 134748 [details] from bug 109231

Reproduced in

Version: 6.0.0.0.alpha0+
Build ID: 1e87e93132f808ab95eab932b36bfe40d3cc607a
CPU threads: 1; OS: Windows 6.1; UI render: default; 
TinderBox: Win-x86@39, Branch:master, Time: 2017-07-25_06:09:29
Locale: es-ES (es_ES); Calc: group

but not in

Versión: 5.3.4.2
Id. de compilación: f82d347ccc0be322489bf7da61d7e4ad13fe2ff3
Subproc. CPU: 1; SO: Windows 6.1; Repres. IU: predet.; Motor de trazado: HarfBuzz; 
Configuración regional: es-ES (es_ES); Calc: group
Comment 1 Aron Budea 2017-07-25 22:18:32 UTC
Asserts are only evaluated in debug builds. I assume 5.3.4.2 is a release build, right? (which would mean it's not sure whether this is a regression)

Reproduced in a 6.0 master dbgutil build in Windows 7.
Comment 2 Julien Nabet 2017-07-26 14:35:37 UTC
On pc Debian x86-64 with master sources updated today, I could reproduce this.

Here's main part of the bt:
#3  0x00007f3964bf0ee2 in __GI___assert_fail (assertion=0x7f39653cf560 "static_cast<unsigned char>(*pCharStr) < 0x80", 
    file=0x7f39653cf6c0 "/home/julien/lo/libreoffice/sal/rtl/ustring.cxx", line=551, 
    function=0x7f39653d1bc0 <rtl_uString_newFromAscii::__PRETTY_FUNCTION__> "void rtl_uString_newFromAscii(rtl_uString**, const sal_Char*)") at assert.c:101
#4  0x00007f3965396bb0 in rtl_uString_newFromAscii (ppThis=0x7f391576a9a0, pCharStr=0x563caa156d6f "ДатаРегДогАренды line 1\n")
    at /home/julien/lo/libreoffice/sal/rtl/ustring.cxx:551
#5  0x00007f390d309b9f in rtl::OUString::createFromAscii (value=0x563caa156d50 "Couldn't find end of Start Tag ДатаРегДогАренды line 1\n")
    at /home/julien/lo/libreoffice/include/rtl/ustring.hxx:3536
#6  0x00007f390d30803a in XSLT::Reader::execute (this=0x563caa011600) at /home/julien/lo/libreoffice/filter/source/xsltfilter/LibXSLTTransformer.cxx:323
#7  0x00007f39605285d0 in salhelper::Thread::run (this=0x563caa011600) at /home/julien/lo/libreoffice/salhelper/source/thread.cxx:40
#8  0x00007f3960528942 in osl::threadFunc (param=0x563caa011610) at /home/julien/lo/libreoffice/include/osl/thread.hxx:185
Comment 3 Xisco Faulí 2017-07-26 14:37:46 UTC
I think it's not a debug build. I downloaded it yesterday from http://dev-builds.libreoffice.org/daily/master/win-x86%4039/
Comment 4 Julien Nabet 2017-07-26 15:11:43 UTC
Let's give it a try with https://gerrit.libreoffice.org/#/c/40456/
At least, I don't reproduce the assert with it.
Comment 5 Julien Nabet 2017-07-26 16:54:07 UTC
Xisco: don't hesitate to reopen this tracker if you still reproduce this after with a build including the patch.
Comment 6 Commit Notification 2017-07-26 16:54:34 UTC
Julien Nabet committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=b7654300f0f002193c4e91baabbe6b60a86ca84f

tdf#109364: fix assert in LibXSLTTransformer.cxx

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Xisco Faulí 2017-08-30 19:16:44 UTC
Verified in

Version: 6.0.0.0.alpha0+
Build ID: 78960ad06faca055a6d97afbc764c902d5d07f6f
CPU threads: 1; OS: Windows 6.1; UI render: default; 
TinderBox: Win-x86@39, Branch:master, Time: 2017-08-30_06:31:19
Locale: es-ES (es_ES); Calc: group